
Figure - Bug #118291
【IOVDEV-30303】【VC1】【0100】【台架】【EE环境】【副屏】【蓝牙】副屏蓝牙设备连接成功后的提示
窗UI显示的内容不太合理
2023-05-26 21:03 - CDTS_TEST 王成

Status: CLOSED Start date: 2023-05-26

Priority: Normal Due date:

Assignee: CDTS_TEST 王成 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 01.00.0100.c103

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Frequently Fixed Version: 2023-05-27

Test Type: ST Root cause: 蓝牙设备类型没有匹配成功，且没有默认类型描述。

Description

【环境信息】EE环境

【问题出现时间】：20230524 16：37

【前提条件】：副屏上电；中控、功放已连接；副屏、中控时间一致

【操作步骤】

1.点击打开蓝牙，激活蓝牙手柄设备

2.点击蓝牙手柄名称

3.点击配对

【实际结果】

1.弹窗显示的内容不太合理

【期望结果】

1.应显示xxx蓝牙手柄设备配对成功

【备注】：

第154次开机

蓝牙设备型号：BTP-BD3NH

日志、视频地址：https://ofs.human-horizons.com/#/download/index/FwG%2B7wab2MA%3D

中控VIN号：HRYTTESTVINMGM817

【中控版本号】：03.02.0082.c101

【副屏版本号】：01.00.0100.c103

History

#1 - 2023-05-26 21:04 - CDTS_TEST 王成

- File 飞书20230524-195048.mp4 added

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118291/tlog_iov0201017500006162025411a2212290000000601_000154_0524163832.tar.gz
ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118291/tlog_iov0201017500006162025411a2212290000000601_000154_0524163832.tar.gz


#2 - 2023-05-27 14:52 - CD FW 曹覃刚

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to CD FW-廖涛

#3 - 2023-05-27 16:51 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

203062 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:Settings: Optimize bluetooth toast text when connect success.TC-RID: 1201-0201801IssueID: TS-R-BUG-118291Change-Id:

I559b85add7b86601d661e3dbcc5c7d83823bbaeb

#4 - 2023-05-27 16:59 - CD FW-廖涛

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-廖涛 to CDTS_TEST 王成

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-05-27

- Root cause set to 蓝牙设备类型没有匹配成功，且没有默认类型描述。

■ Current conclusion

已处理，代码已入库。

■ My analysis

因为蓝牙设备类型没有匹配成功，且没有默认类型描述导致问题，蓝牙设备类型并非所有的都是标准的，所以存在非标设备，和系统定义的类型不一致

。

解决方案：

若未成功匹配蓝牙设备类型，则显示通用文案：XXX 的设备连接成功

■ Next action

测试验证。

#5 - 2023-06-02 19:09 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

6.2

由于我们能借到的蓝牙设备都可以显示类型，待客户验证，先关闭，若复现再激活

#6 - 2023-06-02 19:09 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

飞书20230524-195048.mp4 298 KB 2023-05-26 CDTS_TEST 王成

2025-07-05 2/3



飞书20230524-195048.mp4 298 KB 2023-05-26 CDTS_TEST 王成

2025-07-05 3/3


